# Uses of Enum Class
org.bukkit.entity.Horse.Variant

Packages that use Horse.Variant
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of Horse.Variant in org.bukkit.entity

Methods in org.bukkit.entity that return Horse.Variant
Modifier and Type
Method
Description
`Horse.Variant`
AbstractHorse.`getVariant()`
Deprecated.
different variants are different classes
`static Horse.Variant`
Horse.Variant.`valueOf(String name)`
Deprecated.
Returns the enum constant of this class with the specified name.
`static Horse.Variant[]`
Horse.Variant.`values()`
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.entity with parameters of type Horse.Variant
Modifier and Type
Method
Description
`void`
AbstractHorse.`setVariant(Horse.Variant variant)`
Deprecated.
you are required to spawn a different entity